Skip to main content
GET
Query user feed v4

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

Query Parameters

sortBy
enum<string>
default:lastCreated

Sort order for posts.

Available options:
lastCreated,
firstCreated,
lastUpdated,
firstUpdated
isDeleted
boolean
default:false

Filter by deleted status

dataTypes
enum<string>[]

Post data type to filter (include child posts too).

Required array length: 1 - 6 elements
Available options:
video,
image,
file,
liveStream,
poll,
clip,
text
Maximum string length: 100
matchingOnlyParentPost
boolean
default:true

An option to filter only parent post. If true will return only parent post, else will return both parent and child posts

includePostedFeed
enum<string>[]

An option to include posted feed. If user will return posted in user feed, if community will return posted in community feed. If both are included, will return both user and community posted feed. Default is user only.

Available options:
user,
community
options[limit]
integer
default:10

Page size

Required range: 1 <= x <= 100
Example:

"options[limit]=5"

options[after]
string

Cursor value to get records after

Maximum string length: 24
options[before]
string

Cursor value to get records before

Maximum string length: 24
options[updatedAt]
string

Use updatedAt when sorting by first or last updated

Maximum string length: 30
options[token]
string

Pagination token

Maximum string length: 1000
Example:

"options[token]=eyJza2lwIjoyMCwibGlABDFRffewfQ=="

includeMixedStructure
boolean
default:false

An option to include mixed structure posts (posts that have different data types in parent and child posts).

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
paging
object